package wenrgise.workflow.core;

import java.io.Serializable;
import java.util.HashMap;

public interface WflDocumentInfo extends Serializable {
  WflResource getRequester();
  
  void setRequester(WflResource paramWflResource);
  
  WflResource getCreator();
  
  void setCreator(WflResource paramWflResource);
  
  String getRequesterAction();
  
  void setRequesterAction(String paramString);
  
  String getDocumentTypeId();
  
  void setDocumentTypeId(String paramString);
  
  String getDocumentId();
  
  void setDocumentId(String paramString);
  
  String getDocumentNumber();
  
  void setDocumentNumber(String paramString);
  
  String getModuleId();
  
  void setModuleId(String paramString);
  
  WflSite getSite();
  
  void setSite(WflSite paramWflSite);
  
  HashMap getDocumentAttributes();
  
  void setDocumentAttributes(HashMap paramHashMap);
  
  String getWorkListId();
  
  void setWorkListId(String paramString);
  
  String getDocumentType();
  
  void setDocumentType(String paramString);
  
  String getInitiatedFlag();
  
  void setInitiatedFlag(String paramString);
  
  String getDocDesc();
  
  void setDocDesc(String paramString);
}
